#include <iostream>

using namespace std;

int karte[10000];

int main()
{
    int N, K;

    cin >> N >> K;

    int rezultat = 0;

    for (int j = 0; j < N; j++)
    {
        int p;
        cin >> p;
        karte[j] = p;
    }

    for (int i = 0; i < N; i++)
    {
        if (karte[i] == K)
        {
            if (karte[i + 1] != 0)
            {
                rezultat = karte[i + 1];
                break;
            }
            else
            {
                rezultat = karte[0];
                break;
            }
        }
    }

    cout << rezultat;
}